
/*
** Author : Steven Ramsay <smr@dcs.ed.ac.uk>, 18/03/97
** Files  : P_Box.java, P_Box.class
** Update : 11/06/97 
** Package: simdcp
**
** Description:
** Maintains prompt dialog box
**
** NOT USED IN DCPsim version 1.1
*/

package eduni.simdcp;

import java.awt.*;

/* Methods defined in class P_Box
** PUBLIC
** P_Box(Frame, int, int, int, int, int, int, String)
**          boolean action(Event, Object)
**          boolean gotFocus(Event, Object)
**
** PROTECTED
** PRIVATE
**          void    Setup_Dialog()
*/
public class P_Box extends Dialog implements Constants {
  String         message, sr_note = null, fr_note = null;
  Button         before = null, after = null,
                         during = null, no = null;
  Panel          panel1, button_panel;
  MultiLineLabel label;
  int            status;
  int            type;
  int            id;
  int            state;
  int            choice;
  int            round;  
  String         msg_name;

  GridBagLayout gridbag = new GridBagLayout();

  public P_Box(Frame parent, int type, int id, int status, 
               int state, int choice, int round, String msg_name) {
      // Create a dialog with the specified title
      super(parent, (Global.Full_Type(type)+id), false);
      this.type   = type;
      this.id     = id;
      this.status = status;
      this.state  = state;
      this.choice = choice;
      this.round  = round;
      this.msg_name = msg_name;
      this.Setup_Dialog();
      this.pack();
  }                                                    // constructor P_Box(7)

  private void Setup_Dialog() {
    /*
      // Method to setup the dialog for the prompt
   
      // Create and use a BorderLayout manager with specified margins
      this.setLayout(new BorderLayout(30, 20));
        
      // Create an Okay button in a Panel; add the Panel to the window
      // Use a FlowLayout to center the button and give it margins.
      before = new Button("Before");
      after  = new Button("After");
      during = new Button("During");
      no     = new Button("NO");

      Panel p = new Panel();
      p.setLayout(new FlowLayout(FlowLayout.CENTER, 10, 10));
      p.add(before);
      p.add(after);
      p.add(during);
      p.add(no);
      Global.Enable_Event(during, false);

      this.add("South", p);
 
      if (status == FAILED) {
          sr_note = new String("receive");
          fr_note = new String("Recover ?");           
      } 
      else if (status == RUN_OK) {
          sr_note = new String("receive");
          fr_note = new String("Fail ?");
      }
      else if ((status == SEND_UNI) || (status == SEND_MUL)) {
          sr_note = new String("send");
          fr_note = new String("Fail ?");
//
//          if (status == SEND_MUL) {
//              Global.Enable_Event(this.during, true);
//          }
//
      }
      else {
          sr_note = new String("ERROR");
          fr_note = new String("ERROR");
      }
      message = new String("State: "+state+"-"
                           +Global.Table().State_Name(this.type, state) +
                           "\t Choice: "+choice+"\t Round: "+round+" \n \n" +
                           "About to "+sr_note+" "+msg_name+" \n \n" +  
                           fr_note);

      // Create the message component and add it to the window
      label = new MultiLineLabel(message, 20, 15);
      this.add("Center", label);

      // Resize the window to the preferred size of its components
      this.pack();
      Global.Window_Visible(this, true);
      Global.Enable_Event(this, true);
      System.out.println("End of display_prompt");
      */
  }                                                   // void Setup_Dialog(0)   
  public boolean action(Event e, Object arg) {
    /*
     if (e.target instanceof Button) {
          if (status == FAILED) {
	      // Recovery prompt
	      if (e.target == before) {
                  Site.Set_Recovery_Point(BEFORE, this.type, this.id);
              }
              else if (e.target == after) {
                  Site.Set_Recovery_Point(AFTER, this.type, this.id);
              }
              else if (e.target == no) {
                  Site.Set_Recovery_Point(NO, this.type, this.id);
              }
              else {
                  return false;
              }
          }
          else if ((status == RUN_OK) || 
                   (status == SEND_UNI) || (status == SEND_MUL)) {
	      // Fail receiving or sending prompt
	      if (e.target == before) {
                  Site.Set_Failure_Point(BEFORE, this.type, this.id);
              }
              else if (e.target == after) {
                  Site.Set_Failure_Point(AFTER, this.type, this.id);
              }
              else if ((e.target == during) && (status == SEND_MUL)) {
                  Site.Set_Failure_Point(NO, this.type, this.id);
              }
              else if (e.target == no) {
                  Site.Set_Failure_Point(NO, this.type, this.id);
              }
              else {
                  return false;
              }
          }
          else {
              return false;
          }
          Global.Window_Visible(this, false);
          return true;
      }
      else {
          return false;
      }
      */
      return false;
  }
 
  public boolean gotFocus(Event e, Object arg) {
      // When the window gets the keyboard focus, give it to the button.
      // This allows keyboard shortcuts to pop down the dialog.
      this.no.requestFocus();
      return true;
  }
}                                                            // class P_Box(7)

/*----------------------------- End of P_Box.java ---------------------------*/

